Z3 |

Public Member Functions
FPRMRef Class Reference
Inheritance diagram for FPRMRef:

## Public Member Functions
def | as_string (self)
Public Member Functions inherited from ExprRef
def | as_ast (self)
def | get_id (self)
def | sort (self)
def | sort_kind (self)
def | __eq__ (self, other)
def | __hash__ (self)
def | __ne__ (self, other)
def | params (self)
def | decl (self)
def | num_args (self)
def | arg (self, idx)
def | children (self)
Public Member Functions inherited from AstRef
def | __init__ (self, ast, ctx=None)
def | __del__ (self)
def | __deepcopy__ (self, memo={})
def | __str__ (self)
def | __repr__ (self)
def | __eq__ (self, other)
def | __hash__ (self)
def | __nonzero__ (self)
def | __bool__ (self)
def | sexpr (self)
def | as_ast (self)
def | get_id (self)
def | ctx_ref (self)
def | eq (self, other)
def | translate (self, target)
def | __copy__ (self)
def | hash (self)
Public Member Functions inherited from Z3PPObject
def | use_pp (self)

## Additional Inherited Members
Data Fields inherited from AstRef
| ast
| ctx

## Detailed Description

    Floating-point rounding mode expressions

Definition at line 9484 of file z3py.py.

## Member Function Documentation

## ◆ as_string()

def as_string | ( |  | self | ) |

    Return a Z3 floating point expression as a Python string.

Definition at line 9487 of file z3py.py.

9487 def as_string(self):
9488 """Return a Z3 floating point expression as a Python string."""
9489 return Z3_ast_to_string(self.ctx_ref(), self.as_ast())
9490
9491
Z3_ast_to_string
Z3_string Z3_API Z3_ast_to_string(Z3_context c, Z3_ast a)
Convert the given AST node into a string.

Referenced by IntNumRef.as_long(), BitVecNumRef.as_long(), and FiniteDomainNumRef.as_long().